[arch-commits] Commit in abiword/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jan 18 03:35:17 EST 2010


    Date: Monday, January 18, 2010 @ 03:35:17
  Author: jgc
Revision: 63636

upgpkg: abiword 2.8.1-4
    Merge abiword/abiword-plugins in one PKGBUILD. Rebuild for libpng14/libjpeg8

Modified:
  abiword/trunk/PKGBUILD

----------+
 PKGBUILD |   34 +++++++++++++++++++++++-----------
 1 file changed, 23 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-18 08:34:05 UTC (rev 63635)
+++ PKGBUILD	2010-01-18 08:35:17 UTC (rev 63636)
@@ -2,25 +2,37 @@
 # Maintainer: Giovanni Scafora <giovanni at archlinux.org>
 # Contributor: Maël Lavault <moimael at neuf.fr>
 
-pkgname=abiword
+pkgbase=abiword
+pkgname=('abiword' 'abiword-plugins')
 pkgver=2.8.1
-pkgrel=1
-pkgdesc="A fully-featured word processor"
+pkgrel=4
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.abisource.com"
-depends=('fribidi' 'enchant' 'librsvg' 'wv' 'libgsf-gnome')
-makedepends=('pkgconfig')
+makedepends=('pkgconfig' 'fribidi' 'enchant' 'librsvg>=2.26.0-2' 'wv>=1.2.4-4' 'libgsf-gnome>=1.14.16' 'aiksaurus' 'gtkmathview' 'libsoup' 'link-grammar' 'libwpd' 'psiconv' 'libxslt' 'asio' 'loudmouth')
 options=('!makeflags' '!libtool')
-source=(http://www.abisource.com/downloads/abiword/${pkgver}/source/${pkgname}-${pkgver}.tar.gz)
+source=(http://www.abisource.com/downloads/abiword/${pkgver}/source/${pkgbase}-${pkgver}.tar.gz)
 md5sums=('284fe25289c160c3797b527a8aacad12')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure --prefix=/usr \
-	      --without-gucharmap \
-              --disable-default-plugins
+  cd ${srcdir}/${pkgbase}-${pkgver}
+  sed -e 's/png12/png14/g' -i configure plugins/rsvg/Makefile.in plugins/garble/Makefile.in || return 1
+  ./configure --prefix=/usr --without-gucharmap --enable-plugins || return 1
   make || return 1
-  make DESTDIR=${pkgdir}/ install
+  sed -e 's/src plugins user/src user/' -i Makefile || return 1
+}
+
+package_abiword() {
+  pkgdesc="A fully-featured word processor"
+  depends=('fribidi' 'enchant' 'librsvg>=2.26.0-2' 'wv>=1.2.4-4' 'libgsf-gnome>=1.14.16')
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  make DESTDIR="${pkgdir}" install || return 1
   mv ${pkgdir}/usr/share/icons ${pkgdir}/usr/share/pixmaps
 }
+
+package_abiword-plugins() {
+  pkgdesc="Various plugins for Abiword"
+  depends=("abiword>=${pkgver}" 'aiksaurus' 'gtkmathview' 'libsoup' 'link-grammar' 'libwpd' 'psiconv' 'libxslt' 'asio' 'loudmouth')
+  cd "${srcdir}/${pkgbase}-${pkgver}/plugins"
+  make DESTDIR="${pkgdir}" install || return 1
+}



More information about the arch-commits mailing list